# react-native-ultimate-listview

An RN ListView providing **advanced pull-to-refresh** | **auto-pagination & infinite-scrolling** | **gridview layout** | **swipeable-row**. The truly ultimate version that I have done the most tricky part for you, just simply follow the instructions shown below to use it your app.

*All codes are written in **ES6 syntax**.* 



### *What's new in the 2.0 ?* *(Breaking Changes)*

- Added an advanced version of RefreshView

- Kept the RefreshControl as a basic version

- You can switch there two modes by passing props `refreshableMode:'basic' or 'advanced'`

- `this.onFetch(page=1, startFetch, abortFetch)`,  now it takes three diffrent callback

  ​


# Demo

| New     | iOS                                      | Android                                  |
| ------- | ---------------------------------------- | ---------------------------------------- |
| Refresh | ![](https://github.com/gameboyVito/react-native-ultimate-listview/blob/master/Demo/gif/ios-advanced.gif) | ![](https://github.com/gameboyVito/react-native-ultimate-listview/blob/master/Demo/gif/android-advanced.gif) |

| Basic   | ListView                                 | GridView                                 |
| ------- | ---------------------------------------- | ---------------------------------------- |
| iOS     | ![](https://github.com/gameboyVito/react-native-ultimate-listview/blob/master/Demo/gif/ios-listview.gif) | ![](https://github.com/gameboyVito/react-native-ultimate-listview/blob/master/Demo/gif/ios-gridview.gif) |
| Android | ![](https://github.com/gameboyVito/react-native-ultimate-listview/blob/master/Demo/gif/android-listview.gif) | ![](https://github.com/gameboyVito/react-native-ultimate-listview/blob/master/Demo/gif/android-gridview.gif) |



# Wiki

* [Overview](https://github.com/gameboyVito/react-native-ultimate-listview/wiki)
* [Installation](https://github.com/gameboyVito/react-native-ultimate-listview/wiki/Installation)
* [Upgrade](https://github.com/gameboyVito/react-native-ultimate-listview/wiki/Upgrade)
* [Usage](https://github.com/gameboyVito/react-native-ultimate-listview/wiki/Usage)
* [Swipable Row](https://github.com/gameboyVito/react-native-ultimate-listview/wiki/Swipable-Row)
* [ListView API](https://github.com/gameboyVito/react-native-ultimate-listview/wiki/ListView-API)
* [GridView API](https://github.com/gameboyVito/react-native-ultimate-listview/wiki/GridView-API)
* [RefreshView API](https://github.com/gameboyVito/react-native-ultimate-listview/wiki/RefreshView-API)
* [Pagination API](https://github.com/gameboyVito/react-native-ultimate-listview/wiki/Pagination-API)
* [Methods API](https://github.com/gameboyVito/react-native-ultimate-listview/wiki/Methods-API)



# Contribution

gameboyVito

​

# License

MIT